site_resources {rmarkdown} | R Documentation

## Determine website resource files for a directory

### Description

Determine which files within a given directory should be copied in order to serve a website from the directory. Attempts to automatically exclude source, data, hidden, and other files not required to serve website content.

### Usage

    site_resources(site_dir, include = NULL, exclude = NULL,
      recursive = FALSE)

### Arguments

`site_dir` | Site directory to analyze
`include` | Additional files to include (glob wildcards supported)
`exclude` | Files to exclude (glob wildcards supported)
`recursive` | 'TRUE' to return a full recursive file listing; 'FALSE' to just provide top-level files and directories.

### Value

Character vector of files and directories to copy

[Package rmarkdown version 1.10 Index]